<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhpc.log.mapper.SysOperLogMapper">

    <select id="selectUserOperLog" resultType="map">
        select
            oper_id as 'operId',
            title as 'title',
            business_type as 'businessType',
            method as 'method',
            request_method as 'requestMethod',
            operator_type as 'operatorType',
            oper_name as 'operName',
            dept_name as 'deptName',
            oper_url as 'operUrl',
            oper_id as 'operIp',
            oper_location as 'operLocation',
            oper_param as 'operParam',
            json_result as 'jsonResult',
            status as 'status',
            error_msg as 'errorMsg',
            oper_time as 'operTime'
         from sys_oper_log
        <where>
            <if test="params.operName!=null and params.operName!=''">
                oper_name = #{params.operName}
            </if>
        </where>
        order by oper_time desc
    </select>

</mapper>
